org.apache.sysds.runtime.lineage

## Class LineageEstimator

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageEstimator

    public class LineageEstimator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LineageEstimator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `computeCacheFullTime()`
`static void` `processFunc(List<DataIdentifier> outputs, LineageItem[] liInputs, String name, ExecutionContext ec, long computetime)`
`static void` `processSingleInst(Instruction inst, ExecutionContext ec, long starttime)`
`static void` `resetEstimatorCache()`
`static void` `stopEstimator(List<DataIdentifier> outputs, LineageItem[] liInputs, String name)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineageEstimator

    public LineageEstimator()

### Method Detail

#### processSingleInst

    public static void processSingleInst(Instruction inst,
                                         ExecutionContext ec,
                                         long starttime)

#### stopEstimator

    public static void stopEstimator(List<DataIdentifier> outputs,
                                     LineageItem[] liInputs,
                                     String name)

#### processFunc

    public static void processFunc(List<DataIdentifier> outputs,
                                   LineageItem[] liInputs,
                                   String name,
                                   ExecutionContext ec,
                                   long computetime)

#### computeCacheFullTime

    public static int computeCacheFullTime()

#### resetEstimatorCache

    public static void resetEstimatorCache()